import org.junit.Assert;
import org.junit.Test;

public class FizzBuzzTest {
    @Test
    public void ifThreeAndFiveTest(){
        // Given
        int number1 = 15;
        String expectedNumber = "FizzBuzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifThreeAndFiveTest2(){
        // Given
        int number1 = 300000000;
        String expectedNumber = "FizzBuzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifThreeAndFiveTest3(){
        // Given
        int number1 = -3000;
        String expectedNumber = "FizzBuzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifThreeTest(){
        // Given
        int number1 = 99;
        String expectedNumber = "Fizz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifThreeTest2(){
        // Given
        int number1 = 6;
        String expectedNumber = "Fizz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifThreeTest3(){
        // Given
        int number1 = -24;
        String expectedNumber = "Fizz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifFiveTest(){
        // Given
        int number1 = 25;
        String expectedNumber = "Buzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifFiveTest2(){
        // Given
        int number1 = 5000;
        String expectedNumber = "Buzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifFiveTest3(){
        // Given
        int number1 = -95;
        String expectedNumber = "Buzz";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifNoneTest(){
        // Given
        int number1 = 0;
        String expectedNumber = "0";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifNoneTest2(){
        // Given
        int number1 = -47;
        String expectedNumber = "-47";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }

    @Test
    public void ifNoneTest3(){
        // Given
        int number1 = 574;
        String expectedNumber = "574";
        //When
        String actualNumber = FizzBuzz.of(number1);
        //then
        Assert.assertEquals(expectedNumber, actualNumber);
    }
}
